%define version 3.1
%define release 1mdk
%define name wmapm

Summary:  Battery/Power status monitor for WindowMaker on laptops
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Toys
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://nis-www.lanl.gov/~mgh/
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
WMAPM monitors the APM statistics through the APM support in
the Linux and FreeBSD Kernels.  This information, presented in
a nice visual format, can be invaluable on laptops (as I have
found in my recent/continual travels as a Field Engineer for a
small computer hardware manufacturer).
WMAPM currently provides:

        * Status of power supply (battery or AC);
        * Percentage of battery remaining (numeric and meter);
        * Battery charging status;
        * Time left to battery depletion;
        * High/Low/Critical battery status (Red/Yellow/Green);

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}/%{name}

%build
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOIf %SOURCE1 %{name}.16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOIf %SOURCE1 %{name}.32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOIf %SOURCE1 %{name}.48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man1/
make install DESTDIR="$RPM_BUILD_ROOT"%{prefix}

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="%{name}"\\
                 longtitle="Battery/Power status monitor in a small icon"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}

%files
%defattr (-,root,root)
%doc
%{prefix}/bin/*
%{prefix}/man/man1/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Wed Oct 25 2000 HA Quc-Vit <viet@mandrakesoft.com> 3.1-1mdk
- Initial release.
